Rated 5 out of 5 stars

Hey,

I cannot install the available version even with special instructions from meetimer website.

I'd love to see your plugin for FF 3.5.
All competing plugins with similar functions have been discontinued...

Best,
Bob